IARRAY_CREATE_3D(3)

FUNCTION
iarray_create_3D - Create a 3-dimensional Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_create_3D

(unsigned long zlen, unsigned long ylen, unsigned long xlen, unsigned int type)

DESCRIPTION
This routine will create a 3-dimensional "Intelligent Array", using the Karma general data structure format as the underlying data format

zlen
    The length of the most significant dimension (ie. the dimension with the greatest stride in memory).

ylen
    The length of the middle dimension.

xlen
    The length of the least significant dimension.

type
    The type of the data. See <-ds_KARMA_DATA_TYPES-> for a list of defined data types.

RETURN VALUE
A dynamically allocated intelligent array on success, else NULL.

Multi-threading Level
Unsafe.

NOTES
The names of the dimensions will be the defaults: "Axis 0", "Axis 1" and "Axis 2", respectively.

The name of the element will be the default name: "Intensity".

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/